org.apache.poi.xslf.usermodel

## Class XSLFHyperlink

- java.lang.Object
- - org.apache.poi.xslf.usermodel.XSLFHyperlink

- All Implemented Interfaces:
    Hyperlink

      public class XSLFHyperlink
      extends java.lang.Object
      implements Hyperlink<XSLFShape,XSLFTextParagraph>

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAddress()` Hyperlink address.
    `java.lang.String` | `getLabel()` Return text label for this hyperlink
    `HyperlinkType` | `getType()` Return the type of this hyperlink
    `HyperlinkType` | `getTypeEnum()` Deprecated.
    `org.openxmlformats.schemas.drawingml.x2006.main.CTHyperlink` | `getXmlObject()`
    `void` | `linkToEmail(java.lang.String emailAddress)` Link to an email
    `void` | `linkToFirstSlide()` Link to the first slide in this slideshow
    `void` | `linkToLastSlide()` Link to the last slide in this slideshow
    `void` | `linkToNextSlide()` Link to the next slide (relative from the current)
    `void` | `linkToPreviousSlide()` Link to the previous slide (relative from the current)
    `void` | `linkToSlide(Slide<XSLFShape,XSLFTextParagraph> slide)` Link to a slide in this slideshow
    `void` | `linkToUrl(java.lang.String url)` Link to a web page / URL
    `void` | `setAddress(java.lang.String address)` Hyperlink address.
    `void` | `setLabel(java.lang.String label)` Sets text label for this hyperlink

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getXmlObject

          @Internal
          public org.openxmlformats.schemas.drawingml.x2006.main.CTHyperlink getXmlObject()

    - #### setAddress

          public void setAddress(java.lang.String address)

      Description copied from interface: `Hyperlink`
      Hyperlink address. Depending on the hyperlink type it can be URL, e-mail, path to a file, etc.
      Specified by:
        `setAddress` in interface `Hyperlink`
      Parameters:
        `address` - the address of this hyperlink

    - #### getAddress

          public java.lang.String getAddress()

      Description copied from interface: `Hyperlink`
      Hyperlink address. Depending on the hyperlink type it can be URL, e-mail, path to a file, etc.
      Specified by:
        `getAddress` in interface `Hyperlink`
      Returns:
        the address of this hyperlink

    - #### getLabel

          public java.lang.String getLabel()

      Description copied from interface: `Hyperlink`
      Return text label for this hyperlink
      Specified by:
        `getLabel` in interface `Hyperlink`
      Returns:
        text to display

    - #### setLabel

          public void setLabel(java.lang.String label)

      Description copied from interface: `Hyperlink`
      Sets text label for this hyperlink
      Specified by:
        `setLabel` in interface `Hyperlink`
      Parameters:
        `label` - text label for this hyperlink

    - #### getType

          public HyperlinkType getType()

      Description copied from interface: `Hyperlink`
      Return the type of this hyperlink
      Specified by:
        `getType` in interface `Hyperlink`
      Returns:
        the type of this hyperlink
      See Also:
        `HyperlinkType.forInt(int)`

    - #### getTypeEnum

          @Deprecated
           @Removal(version="4.2")
          public HyperlinkType getTypeEnum()

      Deprecated.
      Description copied from interface: `Hyperlink`
      Return the type of this hyperlink
      Specified by:
        `getTypeEnum` in interface `Hyperlink`
      Returns:
        the type of this hyperlink

    - #### linkToEmail

          public void linkToEmail(java.lang.String emailAddress)

      Description copied from interface: `Hyperlink`
      Link to an email
      Parameters:
        `emailAddress` - the email address

    - #### linkToUrl

          public void linkToUrl(java.lang.String url)

      Description copied from interface: `Hyperlink`
      Link to a web page / URL
      Parameters:
        `url` - the url

    - #### linkToSlide

          public void linkToSlide(Slide<XSLFShape,XSLFTextParagraph> slide)

      Description copied from interface: `Hyperlink`
      Link to a slide in this slideshow
      Parameters:
        `slide` - the linked slide

    - #### linkToNextSlide

          public void linkToNextSlide()

      Description copied from interface: `Hyperlink`
      Link to the next slide (relative from the current)

    - #### linkToPreviousSlide

          public void linkToPreviousSlide()

      Description copied from interface: `Hyperlink`
      Link to the previous slide (relative from the current)

    - #### linkToFirstSlide

          public void linkToFirstSlide()

      Description copied from interface: `Hyperlink`
      Link to the first slide in this slideshow

    - #### linkToLastSlide

          public void linkToLastSlide()

      Description copied from interface: `Hyperlink`
      Link to the last slide in this slideshow

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.